io.vertx.rxjava.ext.web.templ

## Class TemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.templ.TemplateEngine

- Direct Known Subclasses:
    FreeMarkerTemplateEngine, HandlebarsTemplateEngine, JadeTemplateEngine, MVELTemplateEngine, PebbleTemplateEngine, ThymeleafTemplateEngine

      public class TemplateEngine
      extends Object

  A template engine uses a specific template and the data in a routing context to render a resource into a buffer.

  Concrete implementations exist for several well-known template engines.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateEngine(TemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `static TemplateEngine` | `newInstance(TemplateEngine arg)`
    `void` | `render(RoutingContext context, String templateFileName, Handler<AsyncResult<Buffer>> handler)` Render
    `Observable<Buffer>` | `renderObservable(RoutingContext context, String templateFileName)` Render

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateEngine

          public TemplateEngine(TemplateEngine delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### render

          public void render(RoutingContext context,
                             String templateFileName,
                             Handler<AsyncResult<Buffer>> handler)

      Render
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
        `handler` - the handler that will be called with a result containing the buffer or a failure.

    - #### renderObservable

          public Observable<Buffer> renderObservable(RoutingContext context,
                                                     String templateFileName)

      Render
      Parameters:
        `context` - the routing context
        `templateFileName` - the template file name to use
      Returns:

    - #### newInstance

          public static TemplateEngine newInstance(TemplateEngine arg)

Copyright © 2016. All rights reserved.